Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
[Java] Class MavenPluginConvention

    java.lang.Object
      org.gradle.api.plugins.MavenPluginConvention

All Implemented Interfaces:
  MavenPomMetaInfoProvider

    public class MavenPluginConvention

Properties and methods added by the MavenPlugin.

Constructor Summary
`MavenPluginConvention(ProjectInternal project, MavenFactory mavenFactory)`

Method Summary
`Conf2ScopeMappingContainer` | `getConf2ScopeMappings()` Returns the set of rules for how to map Gradle dependencies to Maven scopes.
`File` | `getMavenPomDir()` Returns the directory to generate Maven POMs into.
`MavenPom` | `pom()` Creates a new MavenPom.
`MavenPom` | `pom(Closure configureClosure)` Creates and configures a new MavenPom.
`void` | `setConf2ScopeMappings(Conf2ScopeMappingContainer conf2ScopeMappings)`
`void` | `setMavenPomDir(Object pomDir)` Sets the directory to generate Maven POMs into.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MavenPluginConvention

    public MavenPluginConvention(ProjectInternal project, MavenFactory mavenFactory)

Method Detail

### getConf2ScopeMappings

    public Conf2ScopeMappingContainer getConf2ScopeMappings()

  Returns the set of rules for how to map Gradle dependencies to Maven scopes.
  Returns:
    The mapping rules.

### getMavenPomDir

    public File getMavenPomDir()

  Returns the directory to generate Maven POMs into.

### pom

    public MavenPom pom()

  Creates a new MavenPom.
  Returns:
    The POM instance.

### pom

    public MavenPom pom(Closure configureClosure)

  Creates and configures a new MavenPom. The given closure is executed to configure the new POM instance.
  Parameters:
    `configureClosure` - The closure to use to configure the POM instance.
  Returns:
    The POM instance.

### setConf2ScopeMappings

    public void setConf2ScopeMappings(Conf2ScopeMappingContainer conf2ScopeMappings)

### setMavenPomDir

    public void setMavenPomDir(Object pomDir)

  Sets the directory to generate Maven POMs into.
  Parameters:
    `pomDir` - The new POM directory. Evaluated as per Project.file.

Gradle API 1.10